apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: appsmith
  name: appsmith
  namespace: appsmith
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: appsmith
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: appsmith
    spec:
      containers:
        - image: index.docker.io/appsmith/appsmith-ce
          name: appsmith
          ports:
            - containerPort: 80
            - containerPort: 443
          resources: {}
          volumeMounts:
            - mountPath: /appsmith-stacks
              name: appsmith-claim0
      restartPolicy: Always
      volumes:
        - name: appsmith-claim0
          persistentVolumeClaim:
            claimName: appsmith-claim0
status: {}
